Name:           thermal-daemon
Version:        1.6
Release:        %mkrel 1
Summary:        The "Linux Thermal Daemon" program from 01.org
Group:          System/Kernel and hardware

License:        GPLv2+
URL:            https://github.com/01org/thermal_daemon
Source0:	https://github.com/01org/thermal_daemon/archive/v%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  dbus-glib-devel
BuildRequires:  libgomp-devel
BuildRequires:  libxml2-devel
BuildRequires:  systemd-devel
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
ExclusiveArch: %{ix86} x86_64

%description
Thermal Daemon monitors and controls platform temperature.

%prep
%setup -qn thermal_daemon-%{version}

%build
autoreconf -f -i
%configure2_5x 
%make 

# Although there is a folder test in the upstream repo, this is not for self tests.
# Hence check section is not present.

%install
%make_install

# Mageia does not use Upstart
rm  -rf %{buildroot}%{_sysconfdir}/init/thermald.conf

%post
%_post_service thermald.service

%preun
%_preun_service thermald.service

%files
%{_sbindir}/thermald
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.thermald.conf 
%{_datadir}/dbus-1/system-services/org.freedesktop.thermald.service
%config(noreplace) %{_sysconfdir}/thermald/thermal-conf.xml
%config(noreplace) %{_sysconfdir}/thermald/thermal-cpu-cdev-order.xml
%doc COPYING README.txt
%{_mandir}/man5/thermal-conf.xml.5.xz
%{_mandir}/man8/thermald.8.xz
%{_unitdir}/thermald.service



%changelog
* Tue May 02 2017 zezinho <zezinho> 1.6-1.mga6
+ Revision: 1098718
- new version

* Mon Jul 04 2016 pterjan <pterjan> 1.5.3-2.mga6
+ Revision: 1038635
- Only build on x86*, this does not support other CPUs

* Wed Mar 16 2016 zezinho <zezinho> 1.5.3-1.mga6
+ Revision: 992225
- follow mageia policy
- fix group
- imported package thermal-daemon

